%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:		globus-xio-udt-driver
%global _name %(tr - _ <<< %{name})
Version:	1.25
Release:	1%{?dist}
Summary:	Globus Toolkit - Globus XIO UDT Driver

Group:		System Environment/Libraries
License:	ASL 2.0
URL:		http://toolkit.globus.org/
Source:		http://toolkit.globus.org/ftppub/gt6/packages/%{_name}-%{version}.tar.gz
#		README file
Source8:	GLOBUS-XIO
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	globus-common-devel >= 15
BuildRequires:	globus-xio-devel >= 3
BuildRequires:	gupnp-igd-devel
BuildRequires:	libffi-devel
BuildRequires:	libnice-devel
BuildRequires:	libselinux-devel
BuildRequires:	udt-devel

%package devel
Summary:	Globus Toolkit - Globus XIO UDT Driver Development Files
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	globus-common-devel%{?_isa} >= 15
Requires:	globus-xio-devel%{?_isa} >= 3

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus XIO UDT Driver

%description devel
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name}-devel package contains:
Globus XIO UDT Driver Development Files

%prep
%setup -q -n %{_name}-%{version}

%build
# Reduce overlinking
export LDFLAGS="-Wl,--as-needed -Wl,-z,defs %{?__global_ldflags}"

%configure --disable-static \
	   --includedir='${prefix}/include/globus' \
	   --libexecdir='${datadir}/globus' \
	   --docdir=%{_pkgdocdir}

# Reduce overlinking
sed 's!CC \(.*-shared\) !CC \\\${wl}--as-needed \1 !' -i libtool

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove libtool archives (.la files)
rm %{buildroot}%{_libdir}/*.la

# Install README file
install -m 644 -p %{SOURCE8} %{buildroot}%{_pkgdocdir}/README

# Remove license file from pkgdocdir if licensedir is used
%{?_licensedir: rm %{buildroot}%{_pkgdocdir}/GLOBUS_LICENSE}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
# This is a loadable module (plugin)
%{_libdir}/libglobus_xio_udt_driver.so
%dir %{_pkgdocdir}
%doc %{_pkgdocdir}/README
%{!?_licensedir: %doc %{_pkgdocdir}/GLOBUS_LICENSE}
%{?_licensedir: %license GLOBUS_LICENSE}

%files devel
%{_includedir}/globus/*
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Nov 04 2016 Mattias Ellert <mattias.ellert@physics.uu.se> - 1.25-1
- GT6 update

* Sat Sep 03 2016 Mattias Ellert <mattias.ellert@physics.uu.se> - 1.24-1
- GT6 update

* Sat Jun 04 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.23-1
- GT6 update: Allow building using the RHEL 6 version of libnice
- Drop patch globus-xio-udt-driver-oldnice.patch (accepted upstream)

* Fri May 27 2016 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.21-1
- GT6 update: Add GLOBUS_XIO_UDT_STUNSERVER environment variable override

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 23 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.19-1
- GT6 update (Ignore other end's attempts at ipv6 negotiation)

* Mon Jul 27 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.18-2
- Update globus-xio-udt-driver-oldnice patch to build for EPEL 6 and 7

* Mon Jul 27 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.18-1
- GT6 update (Only allow IPv4 until udt driver supports IPv6)

* Sun Jul 12 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.17-1
- GT6 update (Fix error checking and implement GLOBUS_XIO_GET_STRING_OPTIONS)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.16-3
- Rebuilt for GCC 5 C++11 ABI change

* Thu Jan 22 2015 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.16-2
- Implement updated license packaging guidelines
- Add missing Build-Requires (gupnp-igd-devel, libselinux-devel)

* Thu Nov 13 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.16-1
- GT6 update

* Fri Sep 12 2014 Mattias Ellert <mattias.ellert@fysast.uu.se> - 1.15-1
- Initial packaging
